<?php
/*
Plugin Name: Upload 1 menu
Version: auto
Description: Add Upload Photos link as menu level 1
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=577
Author: ddtddt
Author URI:http://piwigo.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('U1M_DIR' , basename(dirname(__FILE__)));
define('U1M_PATH' , PHPWG_PLUGINS_PATH . U1M_DIR . '/');


add_event_handler('blockmanager_register_blocks', 'register_u1m_menubar_blocks');
add_event_handler('blockmanager_apply', 'u1m_apply');

function register_u1m_menubar_blocks( $menu_ref_arr )
{
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;
  $menu->register_block( new RegisteredBlock( 'mbUpload', 'Upload', 'U1M'));
}

function u1m_apply($menu_ref_arr)
{
  global $template;

 $menu = & $menu_ref_arr[0];
 
 load_language('plugin.lang', COMMUNITY_PATH);
 load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
     //Sending data to the template
	    $template->assign	(
		array	(
        'U1MTITLE'     => l10n('Upload your own photos'),
        'U1MNAME'      => l10n('Upload Photos'),
        'U1MURL' => get_root_url().'index.php?/add_photos',
				)			);

   
    if (($block = $menu->get_block( 'mbUpload' )) != null) {
	$template->set_template_dir(U1M_PATH.'template/');
	$block->template = 'menubar_upload.tpl';
    }
}


?>